package fr.esb.fuse.test.sayhello;

import java.util.Date;

import javax.xml.ws.Holder;

public class SayHelloEndpointImpl implements SayHelloEndpoint {

	public void sayHello(InputSayHello parametersIn,
			InputSayHelloHeader headerIn, Holder<OutputSayHello> parametersOut,
			Holder<OutputSayHelloHeader> headerOut) {
		
		String timestamp = Long.toString((new Date()).getTime());
		
		System.out.println("--- sayHello at ( "+timestamp+" --- ");
		
		//headerOut = new Holder<OutputSayHelloHeader>();
		headerOut.value = new OutputSayHelloHeader();
		headerOut.value.setDateMessage(timestamp);
		headerOut.value.setSayHelloType(headerIn.getSayHelloType());
		
		//parametersOut = new Holder<OutputSayHello>();
		parametersOut.value = new OutputSayHello();
		
		String type = headerIn.getSayHelloType();
		
		if ("1".equals(type)) {
			parametersOut.value.setResult("Hello "+parametersIn.getSurName()+" world at : "  + parametersIn.getDate());
		} else {
			parametersOut.value.setResult("Hello My world at : "  + timestamp);
		}
	}


}
